curl --request POST \
--url https://api.maxapi.io/api/v1/task/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedream-4.5",
"callBackUrl": "https://example.com/webhook",
"input": {
"prompt": "赛博朋克风格的东京街景",
"ratio": "16:9",
"resolution": "2k"
}
}'
{
"code": 0,
"msg": "ok",
"data": {
"taskId": "9db7d1ed-d1e5-4d11-9f3a-61f653b905ad"
}
}
Seedream 图片
文本生成图片
Seedream 文生图 — 通过文字描述生成图片
POST
/
api
/
v1
/
task
/
submit
curl --request POST \
--url https://api.maxapi.io/api/v1/task/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedream-4.5",
"callBackUrl": "https://example.com/webhook",
"input": {
"prompt": "赛博朋克风格的东京街景",
"ratio": "16:9",
"resolution": "2k"
}
}'
{
"code": 0,
"msg": "ok",
"data": {
"taskId": "9db7d1ed-d1e5-4d11-9f3a-61f653b905ad"
}
}
使用 Seedream 图片模型,通过 prompt 生成图片。支持 3 个模型版本。
可用模型
seedream-5-lite · seedream-4.5 · seedream-4
模型名称,如
seedream-4.5、seedream-5-lite。Webhook 回调地址。
curl --request POST \
--url https://api.maxapi.io/api/v1/task/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "seedream-4.5",
"callBackUrl": "https://example.com/webhook",
"input": {
"prompt": "赛博朋克风格的东京街景",
"ratio": "16:9",
"resolution": "2k"
}
}'
{
"code": 0,
"msg": "ok",
"data": {
"taskId": "9db7d1ed-d1e5-4d11-9f3a-61f653b905ad"
}
}
查询结果
通过 Query Task 接口或 Webhook 获取生成结果:{
"code": 0,
"msg": "ok",
"data": {
"taskId": "9db7d1ed-d1e5-4d11-9f3a-61f653b905ad",
"status": "SUCCESS",
"input": {
"model": "seedream-4.5",
"prompt": "赛博朋克风格的东京街景",
"ratio": "16:9",
"resolution": "2k"
},
"result": {
"type": "image",
"urls": [
"https://example.com/output/image1.png",
"https://example.com/output/image2.png",
"https://example.com/output/image3.png",
"https://example.com/output/image4.png"
]
},
"created_at": "2026-02-10T21:54:46.686768Z",
"updated_at": "2026-02-10T21:55:04.039815Z"
}
}
图片生成通常返回多张图片。
result 仅在 status 为 SUCCESS 时有值。⌘I